<script>
import FirstComponent  from './FirstComponent.svelte'
import NestedComponent from './NestedComponent.svelte'

let html_str='This is a js string w/ <b>html tag &lt;b&gt;</b>'

/*region button on:click */
let clicked_count = 0
function onclick_btn__clicked_count() {
  clicked_count += 1
}

   $: odd_or_even = clicked_count%2===1? 'odd':'even'  // without reactive declare $: this value will not sync w/ clicked_count
// $:                                                     > re-run this code whenever any of the referenced values change  ref. https://learn.svelte.dev/tutorial/reactive-declarations
// $:                                                     > run AFTER other script code and BEFORE component markup is rendered

$: if (clicked_count) {  // > re-run below codeblock whenever any of the referenced values change  ref. https://learn.svelte.dev/tutorial/reactive-declarations
  console.log(clicked_count)
  console.log(odd_or_even)
}

/*endregion button on:click */
</script>


<FirstComponent />
<NestedComponent />

<br><hr><br>

<div>{@html html_str}</div>

<br><hr><br>

<button on:click={onclick_btn__clicked_count} style="padding: .6rem">
  Clicked Count {clicked_count}
</button> <span>it's {odd_or_even}</span>
